{% extends 'base.html' %}

{% block content %}
{% if request.session.peran == 'admin satgas' %}
<div class="container">
    <div class="table-responsive">
        <table class="table caption-top">
            {% for message in messages %}
            <caption>{{ message }}</caption>
            {% endfor %}
            <thead>
                <tr>
                    <th>No</th>
                    <th>Kode Ruangan</th>
                    <th>Kode RS</th>
                    <th>Kode Bed</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
                {% for bed in bed_rs %}
                <tr>
                    <td>{{ forloop.counter }}.</td>
                    <td>{{ bed.0 }}</td>
                    <td>{{ bed.1 }}</td>
                    <td>{{ bed.2 }}</td>
                    {% if bed.2 not in bed_dipesan %}
                    <td class="check-bed" id="{{ bed.2 }}">
                        <form method="POST" action="{% url 'ruangan_rs:delete-bed' %}">
                            {% csrf_token %}
                            <input type="hidden" name="kode-ruangan" value="{{ bed.0 }}"/>
                            <input type="hidden" name="kode-rs" value="{{ bed.1 }}"/>
                            <input class="to-check" type="hidden" name="kode-bed" value="{{ bed.2 }}"/>
                            <button type="submit" class="btn btn-outline-danger">Delete</button>
                        </form>
                    </td>
                    {% else %}
                    <td></td>
                    {% endif %}
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
</div>
{% endif %}
{% endblock content %}